Name: cronwrap-milab
Summary: cronwrap installation for MILAB machines
Version: 1.1
Release: 1
License: Not to be distributed outside of CUED
Group: CUED/MILAB/Configuration
Source0: cronwrap
Source1: agefiles
Source2: cronwrap.cron
BuildRoot: %{_tmppath}/build-root-%{name}
Packager: Anna Langley <jal58@eng.cam.ac.uk>
Url: http://mi.eng.cam.ac.uk/
BuildArch: noarch
Distribution: MILAB
Requires: openssh rsync autofs coreutils bash

%description
cronwrap is used in MILAB to update system maps from a central server.


%install
cd "$RPM_SOURCE_DIR"
mkdir -p "$RPM_BUILD_ROOT"/etc/cron.hourly 
mkdir -p "$RPM_BUILD_ROOT"/usr/Local/etc
cp cronwrap.cron "$RPM_BUILD_ROOT"/etc/cron.hourly/cronwrap
cp cronwrap agefiles "$RPM_BUILD_ROOT"/usr/Local/etc

%clean

%files 
%defattr(-,root,root)
%dir /usr/Local 
%dir /usr/Local/etc
%attr(755,root,root) /etc/cron.hourly/cronwrap
%attr(755,root,root) /usr/Local/etc/cronwrap
%attr(755,root,root) /usr/Local/etc/agefiles

%post
touch --date="20 years ago" /etc/passwd /etc/shadow \
        /etc/group /etc/exports /etc/hosts \
        /etc/ntp.conf /etc/auto.* \
        /usr/Local/etc/cronwrap


%changelog
* Wed Dec 01 2004 Anna Langley <jal58@eng.cam.ac.uk>
  Added agefiles, changed source arrangements.
* Wed Sep 15 2004 Anna Langley <jal58@eng.cam.ac.uk>
  Fixed installation problem
* Thu Sep 09 2004 Anna Langley <jal58@eng.cam.ac.uk>
  Created initial RPM.
